@font-face {
    font-family: 'Benton Sans';
    src: url('/wp-content/themes/portalBPO/fonts/benton-sans/BentonSansBBVA-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}
@font-face {
    font-family: 'BentonSansBBVA-Medium';
    src: url('/wp-content/themes/portalBPO/fonts/benton-sans/BentonSansBBVA-Medium.ttf') format('truetype');
    font-weight: 500; 
    font-style: normal;
}
@font-face {
    font-family: 'BentonSansBBVA-Book';
    src: url('/wp-content/themes/portalBPO/fonts/benton-sans/BentonSansBBVA-Book.ttf') format('truetype');
    font-weight: 350; 
    font-style: normal;
}
@font-face {
    font-family: 'BentonSansBBVA-Bold';
    src: url('/wp-content/themes/portalBPO/fonts/benton-sans/BentonSansBBVA-Bold.ttf') format('truetype');
    font-weight: 700; 
    font-style: normal;
}
@font-face {
    font-family: 'Benton Sans';
    src: url('/wp-content/themes/portalBPO/fonts/benton-sans/BentonSansBBVA-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}
@font-face {
    font-family: 'TiemposHeadline-Bold';
    src: url('/wp-content/themes/portalBPO/fonts/tiempos-headline/TiemposHeadline-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}
@font-face {
    font-family: 'Tiempos Headline';
    src: url('/wp-content/themes/portalBPO/fonts/tiempos-headline/TiemposHeadline-Bold.woff2') format('woff2'),
         url('/wp-content/themes/portalBPO/fonts/tiempos-headline/TiemposHeadline-Bold.woff') format('woff'),
         url('/wp-content/themes/portalBPO/fonts/tiempos-headline/TiemposHeadline-Bold.ttf') format('truetype'),
         url('/wp-content/themes/portalBPO/fonts/tiempos-headline/TiemposHeadline-Bold.otf') format('opentype');
    font-weight: 700;
    font-style: normal;
}
@font-face {
    font-family: 'TiemposHeadline-BoldItalic'; 
    src: url('/wp-content/themes/portalBPO/fonts/tiempos-headline/TiemposHeadline-BoldItalic.ttf') format('truetype');
    font-weight: 700;
    font-style: italic;
}

/*  1. BANNER PRINCIPAL */
.cc-hero-banner {
    position: relative;
    width: 90%; 
    max-width: 1270px;
    height: 250px; 
    margin: 40px auto; 
    border-radius: 12px; 
    overflow: hidden; 
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    display: flex;
    align-items: center; 
    justify-content: center; 
}
.mb-5 {
    margin-bottom: 0rem !important;
}
.cc-hero-banner .cc-banner-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover; 
    object-position: 55% center; 
    z-index: 0; 
}
.cc-hero-banner .cc-banner-wrapper {
    position: absolute; 
    top: 0;
    left: 0;
    width: 100% !important; 
    height: 100% !important;
    display: flex;
    align-items: center; 
    justify-content: center; 
    z-index: 10; 
    
    visibility: visible !important;
    opacity: 1 !important;
}
.cc-hero-banner .cc-banner-wrapper::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to right, rgb(84 79 110 / 50%), rgb(0 19 145 / 23%), rgb(0 19 145 / 21%));
    z-index: 1; 
}
.cc-hero-banner .cc-banner-title {
    position: relative !important;
    z-index: 99 !important; 
    color: white !important; 
    font-size: 48px !important; 
    font-weight: 700 !important;
    text-align: center; 
    text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.5) !important;
    font-family: 'Tiempos Headline', serif !important; 
    width: 90% !important;
    max-width: 800px !important;
    margin: 0 auto !important;
    display: block !important; 
}
@media (max-width: 768px) {
    .cc-hero-banner {
        width: 100%; 
        height: auto; 
        min-height: 250px;
        border-radius: 16px; 
        width: calc(95% - 30px); 
        margin: 20px 16px; 
        margin-left: auto;
        margin-right: auto;
        margin-top: -21px !important;
        margin-bottom: 3rem !important;
    }

    .cc-hero-banner .cc-banner-title {
        font-family: 'TiemposHeadline-Bold',sans-serif !important;
        font-size: 36px !important; 
        line-height: 1.2 !important;
        width: 89% !important;
    }
}
@media (min-width: 768px) and (max-width: 991px) {
    .cc-hero-banner .cc-banner-title {
        font-family: 'TiemposHeadline-Bold',sans-serif !important;
        font-size: 40px !important; 
        line-height: 1.2 !important;
        text-align: center;
        width: 89% !important;
    }
    .cc-hero-banner{
         top: 4px;
         width: calc(98% - 30px);
    }
    .mb-5 {
         margin-bottom: 2rem !important;
}
    .cc-hero-banner .cc-banner-image {
        width: 100% !important;
    }
}


/*SECCIÓN: CUENTA CORRIENTE (IMPULSA TU NEGOCIO) */
.account-card {
    background-color: #001391;
    border-radius: 12px;
    padding: 0;
    width: 99%;
    max-width: 1268px;
    margin: 0 auto;
    color: #FFFFFF;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
    overflow: hidden;
}



@media (min-width: 992px) {
    .account-card.p-lg-5 {
        padding: 24px !important;
    }
    .account-card .order-lg-2 {
        padding-top: 29px;
        order: 2 !important;
    }
}

@media (min-width: 992px) and (max-width: 1290px) {
    .account-card {
        width: 93%;
    }
}
@media (min-width: 992px) and (max-width: 1280px) {
    .account-img-wrapper{
        aspect-ratio: 11 / 10 !important;
    }
}
/* Título */
.account-title {
    font-family: 'Tiempos Headline', serif;
    font-size: 40px; 
    font-weight: bold;
    margin-bottom: 20px;
    line-height: 1.1;
    color: #FFFFFF;
    text-align: left;
    margin-left: 24px;
    width: 70%;
}

/* Descripción (Párrafos) */
.account-desc1 {
    font-family: 'BentonSansBBVA-Book', sans-serif;
    font-size: 20px;
    line-height: 1.6;
    color: #FFFFFF;
    margin-bottom: 15px;
    text-align: left;
    margin-left: 24px;
    width: 82%;
}
.account-desc {
    font-family: 'BentonSansBBVA-Book', sans-serif;
    font-size: 15.01px;
    opacity: 0.9;
    margin-top: 0;
    text-align: left;
    color: #FFFFFF;
    margin-left: 24px;
    width: 84%;
}
/* Imagen dentro del cuadro */
.account-img-wrapper {
    background-color: white;
    border-radius: 8px;
    width: 102%;
    height: auto;
    aspect-ratio: 15 / 10;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 10px;
}
.account-img {
    width: 100%;
    height: 101%;
    object-fit: cover;
    object-position: center;
    border-radius: 0;
}

/* --- RESPONSIVE --- */
@media (max-width: 991px) {
    .account-card {
        padding: 0;
        width: 95%;
        position: relative;
        top: -35px;
        border-radius: 16px !important;

    }

       .account-title {
        position: relative;
        font-size: 32px !important;
        font-weight: bold;
        color: white;
        font-family: 'Tiempos Headline', serif;
        text-align: left;
        line-height: 1.1;
        margin-left: 3px;
        top: -67px;
        width: 101%;
    }
    .account-card .row {
        display: flex !important;
        flex-direction: column !important;
    }
    .account-card .col-lg-6:nth-child(1) {
        order: -1 !important;
        width: 100%;
        margin-bottom: 60px !important;
        text-align: center;
    }
    .account-card .col-lg-6:nth-child(2) {
        order: 1;
        padding-left: 0.75rem !important;
    }
    .account-card .mb-4 {
    margin-bottom: 3.5rem !important;
}
    .account-desc1 {
        text-align: left;
        font-size: 20.01px;
        margin-left: 0;
        width: 89%;
        margin-left: 6px;
        position: relative;
        top: -112px;
    }
       .account-desc {
        text-align: left;
        font-size: 15.01px;
        margin-left: 8px;
        width: 97%;
        margin-top: -159px;
       }

    .col-lg-6.ps-lg-5 {
        padding-left: 0.75rem !important;
    }

    /* Imagen en móvil */
    .account-img-wrapper {
        display: inline-flex;
        justify-content: center;
        width: 100%;
        max-width: 358px;
    }
    
    /* En móvil, separa la imagen del texto */
    .account-image-container {
        margin-bottom: 0;
        min-height: auto;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    .account-img-wrapper {
        max-width: 834px;
        margin-left: 0;
        border-radius: 8px !important;
    }
    .account-card .mb-4 {
    margin-bottom: 3.5rem !important;
}
    .account-card {
        width: 96%;
        padding: 24px !important;
        border-radius: 16px !important;
    }
     .account-title{
        margin-left: 0;
        font-size: 40px !important;
        width: 100%;
    }
    .account-desc1 {
        margin-left: 0;
        width: 100%;
    }
     .account-desc {
        margin-left: 0;
        width: 100%;
    }
    .col-12 {
        flex: 0 0 auto;
        width: 100%;
        margin-bottom: -1rem;
    }

    .p-md-5 {
        padding: 2rem !important;
    }
}

/*  3. PRODUCTOS Y SERVICIOS (cc-products-services - Estilos del usuario aplicados) */

.cc-products-services {
    padding-top: 1rem;
    padding-bottom: 30px;
}

.cc-products-header {
    color: #070E46; 
    font-family: 'Tiempos Headline', sans-serif !important;
    font-size: 48px !important;
    font-weight: 700;
    margin-bottom: 1rem !important;
    text-align: center;
    position: relative;
    top: -20px;
}

/* Estilos para las tarjetas de producto */
.cc-products-services .card {
    border: 1px solid #ffffff !important; 
    border-radius: 0.75rem; 
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    padding: 2rem !important;
    text-align: left; 
}

.cc-products-services .card-title {
    color: #070E46; 
    font-size: 24px;
    line-height: 1.2; 
    font-family: 'BentonSansBBVA-Medium', sans-serif !important; 
    font-weight: 500 !important;

}

.cc-products-services .card-text {
    color: #070E46 !important; 
    font-size: 15.01px;
    font-family: 'BentonsansBBVA-Book', sans-serif !important;
}

.cc-icon {
    width: 50px;
    height: auto;
}
@media (min-width: 1400px) {
    .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
        max-width: 1295px !important;
    }
}
@media (max-width: 991px) {
   .cc-products-header {
       font-size: 32px !important;
        position: relative;
        top: -30px;
        margin-bottom: 3rem !important;
        width: 83%;
        margin-left: 30px;
}
.py-5 {
    padding-top: 3rem !important;
    padding-bottom: 2rem !important;
}
.cc-products-services .row.g-4 {
        display: flex;
        flex-direction: column;
    }
    .cc-products-services .row.g-4 > div:nth-child(1) {
        order: 1;
        margin-bottom: 1.5rem; /* Separación extra */
    }
    .cc-products-services .row.g-4 > div:nth-child(2) {
        order: 2;
        margin-bottom: 1.5rem;
    }
    .cc-products-services .row.g-4 > div:nth-child(3) {
        order: 3;
    }
    .cc-products-services .card {
        margin-bottom: 2rem;
        margin-top: -54px;
    }
}

/* Tablet: cards más anchas */
@media (min-width: 768px) and (max-width: 991px) {
    .col-md-6 {
        flex: 0 0 auto;
        width: 97% !important;
        margin-left: 14px;
    }
     .cc-products-header {
        font-size: 40px !important;
         width: 93%;
         margin-left: 14px;
         text-align: left;

    }
}


/* REQUISITOS */
.cc-info-cards {
    padding-top: 30px;
    padding-bottom: 5rem;
}

.cc-main-card {
    background-color: #ffffff !important;
    border: none !important;
    border-radius: 1rem !important;
    box-shadow: 0 10px 40px rgba(0, 0, 0, 0.08) !important;
    padding: 24px !important;
}

/* --- BARRA LATERAL IZQUIERDA --- */
.cc-info-sidebar {
    border-right: 1px solid #e9ecef; 
    padding-right: 2rem;
}

.cc-sidebar-title {
    font-family: 'Tiempos Headline', serif !important; 
    font-size: 32px; 
    font-weight: 700;
    color: #070E46;
    line-height: 1.1;
}

.cc-sidebar-text {
    font-size: 15.01px;
    color: #070E46; 
    line-height: 1.5;
    font-family: 'BentonSansBBVA-Book', sans-serif !important; 
}


.cc-content-col {
    border-right: 1px solid #e9ecef;
    padding: 24px;
}
.col-md-4 {
    padding: 24px !important;
}

.cc-list-header {
    font-family: 'BentonSansBBVA-Medium', sans-serif !important; 
    font-size: 15.01px; 
    color: #070E46;
    margin-bottom: 1.5rem;
    letter-spacing: 0.5px;
}

/* --- LISTAS --- */
.cc-list-ul {
    list-style: none;
    padding-left: 0;
}

.cc-list-ul > li {
    position: relative;
    padding-left: 1.5rem; 
    margin-bottom: 1.2rem;
    font-size: 0.9rem;
    color: #070E46; 
    line-height: 1.6;
    background-image: url('https://assets.caasbbva.com/venezuela/net/assets-spherica/iconos/bullet-midnight.svg'); 
    background-repeat: no-repeat;
    background-size: 12px 14px; 
    background-position: 0 6px; 
    font-family: 'BentonSansBBVA-Book', sans-serif !important;
}

.cc-sub-list {
    list-style: none;
    padding-left: 0;
    margin-top: 0.5rem;
}

.cc-sub-list li {
    position: relative;
    padding-left: 1rem;
    margin-bottom: 0.5rem;
    font-size: 0.9rem;
    color: #070E46;
    background-image: none; 
}

.cc-sub-list li::before {
    content: "•";
    position: absolute;
    left: 0;
    color: #070E46;
    font-weight: bold;
}
.importante-wrapper {
    margin-top: 15px;  
    display: block;    
    font-family: 'BentonSansBBVA-Book', sans-serif;
    font-size: 15.01px;
    color: #070E46;
}

.texto-importante {
    font-family: 'BentonSansBBVA-Bold', sans-serif; 
    font-size: 15.01px;
}

/* Estilo para el enlace */
.link-importante {
    color: #070E46;
    text-decoration: underline; 
    cursor: pointer;
}

.link-importante:hover {
    color: #001391;        
}
/* --- RESPONSIVE --- */
@media (max-width: 991px) {
    .cc-main-card > .row,
    .cc-main-card > .row > .col-lg-9 > .row {
        display: flex;
        flex-direction: column;
    }
    
    .cc-main-card {
        position: relative; 
        top: -90px;
        margin: 0;
    }
    .cc-main-card .col-md-4 {
        max-width: 100% !important;
        flex: 0 0 100% !important;
        width: 100% !important;
        padding-right: 0 !important;
    }
    .cc-info-sidebar {
        order: -1 !important;
        width: 100%;
        border-right: none;
        border-bottom: 1px solid #e9ecef;
        padding-right: 0;
    }
    .cc-info-cards {
    padding-top: 5rem;
    padding-bottom: 8rem;
}
    
    .cc-info-sidebar .d-flex { 
        align-items: flex-start !important; 
    }
    
    .cc-sidebar-title, 
    .cc-sidebar-text { 
        text-align: left !important; 
    }
    .cc-sidebar-title {
        font-size: 32px !important;
    }
    
    .cc-icon-temp { 
        display: block; 
        margin: 0 0 1rem 0 !important; 
    }
    .cc-main-card > .row > .col-lg-9 {
        order: 10 !important;
        padding-left: 0 !important;
        padding-right: 0 !important;
    }
    
    /* Documentación (Hijo 1) */
    .cc-main-card > .row > .col-lg-9 > .row > div:nth-child(1) {
        order: 1 !important;
        border-right: none !important;
        border-bottom: 1px solid #e9ecef;
        padding-bottom: 2rem;
        margin-bottom: 0rem !important;
    }

    .cc-main-card > .row > .col-lg-9 > .row > div {
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    box-sizing: border-box;
}
    .mb-4 {
    margin-bottom: 0rem !important;
    padding-bottom: 1px;
    }
    .cc-list-ul > li{
        width: 96%;
    }

    /* Formularios del Banco (Hijo 2) */
    .cc-main-card > .row > .col-lg-9 > .row > div:nth-child(2) {
        order: 2 !important;
        border-right: none !important;
        border-bottom: 1px solid #e9ecef;
        padding-bottom: 2rem;
        margin-bottom: 0rem !important;
    }

    /* Importante (Hijo 3) */
    .cc-main-card > .row > .col-lg-9 > .row > div:nth-child(3) {
        order: 3 !important;
        border-bottom: none;
        margin-bottom: 0;
        padding-bottom: 0;
    }

}
@media (min-width: 768px) and (max-width: 991px) {
    .cc-main-card{
        margin: 8px;
    }
        .mb-4 {
        margin-bottom: 0.5rem !important;
        padding-bottom: 1px;
    }
}

/*  4. SECCIÓN ENVÍO (Listo? Ya puedes enviarlo)*/
.envio-section {
    margin-top: -72px;
    position: relative;
    padding: 60px 0;
}

.envio-content {
    display: flex;
    align-items: center;
    gap: 30px;
    background-color: #E0FCFF;
    border-radius: 10px;
    padding: 30px;
    max-width: 1295px;
    margin: 0 auto;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.05); /* Sombra sutil */
}

.envio-content .envelope-image {
    flex-shrink: 0;
    width: 130px; 
    height: auto;
    object-fit: contain;
}

.envio-text {
    flex: 1;
}

.envio-text .ready-text {
    font-size: 32px !important;
    font-weight: 700;
    color: #070E46;
    margin: 0 0 10px 0;
    line-height: 1.2;
    font-family:'Tiempos Headline', sans-serif;
}

.envio-text .contacto {
    font-size: 15.01px;
    line-height: 1.6;
    margin: 0;
    color:#070E46; 
    font-family: 'BentonSansBBVA-Book', sans-serif;
}

/* MEDIAS QUERIES ACTUALIZADAS */
@media (max-width: 991px) {
    .envio-section {
        padding: 40px 15px; 
    }
    .envio-text .contacto {
        text-align: left;
    }

      .envio-content {
        flex-direction: column;
        text-align: center;
        padding: 20px;
        position: relative;
        margin-bottom: -100px;
        top: -125px;
        border-radius: 16px;
    }
    .envio-content .envelope-image {
        margin-bottom: 5px;
        width: 200px;
    }
    
     .envio-text .ready-text {
        font-size: 32px !important;
        font-weight: 700;
        text-align: left;
    }

}
@media (min-width: 992px) and (max-width: 1290px) {
    .envio-content {
        max-width: 926px;
    }
}
@media (min-width: 768px) and (max-width: 991px) {
    .envio-content {
       margin-left: 14px;
       margin-right: 14px;
    }
     .envio-content .envelope-image {
        margin-bottom: -25px;
    }
     .envio-text .ready-text {
         text-align: left;
    }
}
    